#LayerZero EVM Proof Library

Networks:

1. default - uses the default eth proof mechanism
2. hardhat - uses the hardhat rpc
3. arbitrum - modified for its non standard receipt

Usage

```bash
const getProof = new GetProof("https://mainnet.infura.io");
const getProof = new GetProof(hre.network.provider, "hardhat");
const getProof = new GetProof("https://arb-rinkeby.g.alchemy.com/v2/{API_KEY}", "arbitrum");
```

### LICENSING
The primary license for LayerZero Proof Library is the Business Source License 1.1 (BUSL-1.1) unless specified otherwise in the file. see [`LICENSE`](./LICENSE)
